%define module_version 1.04
%define module_name Config-Merge
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Glob.pm) perl(File/Spec.pm) perl(My/Config.pm) perl(Storable.pm) perl(Test/More.pm) perl(YAML.pm) perl(YAML/Syck.pm) perl(blib.pm) perl(overload.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: load a configuration directory tree containing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DR/DRTECH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Config::Merge is a configuration module which has six goals:

=over

=item * Flexible storage

Store all configuration in your format(s) of choice (YAML, JSON, INI, XML, Perl,
Config::General / Apache-style config) broken down into individual files in
a configuration directory tree, for easy maintenance.
 See the section on "CONFIG TREE LAYOUT"

=item * Flexible access

Provide a simple, easy to read, concise way of accessing the configuration
values (similar to the Template manpage). See the section on "ACCESSING CONFIG DATA"

=item * Minimal maintenance

Specify the location of the configuration files only once per
application, so that it requires minimal effort to relocate.
See the section on "USING Config::Merge"

=item * Easy to alter development environment

Provide a way for overriding configuration values on a development
machine, so that differences between the dev environment and
the live environment do not get copied over accidentally.
See the section on "OVERRIDING CONFIG LOCALLY"

=item * Minimise memory use

Load all config at startup so that (eg in the mod_perl environment) the
data is shared between all child processes. See the section on "MINIMISING MEMORY USE"

=item * Flexible implementation

You may want to use a different schema for your configuration files,
so you can pass in (or subclass) methods for determining how your
files are merged.  See the section on "ADVANCED USAGE".

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/C*

%changelog
* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

